1

I am trying to install freeswitch and while configuring it, it spits out the message.

"checking for sqlite3 >= 3.6.20... Package sqlite3 was not found in the pkg-config search path. Perhaps you should add the directory containing `sqlite3.pc' to the PKG_CONFIG_PATH environment variable No package 'sqlite3' found"

I have installed sqlite 3.6.20 from the rpm

yum list shows correct version

# yum list sqlite

Installed Packages

sqlite.i386 3.6.20-1.el5

yum install shows wrong version

# yum install sqlite

Package matching sqlite-3.3.6-7.i386 already installed. Checking for update.

Nothing to do

I am using centos 2.6.18-238.el5

0

You have the correct version installed, but the configure command is looking for the -devel package. Do a yum install sqlite3-devel, which is what gives you the header files and the pkg-config file sqlite3.pc, and you should be okay.

  • thank you it worked. yum --enablerepo=atrpms-testing install sqlite* from here – Arslan Mehboob Jun 12 '14 at 11:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.